//
//  SolvableStatusTransformer.m
//  Pseudoko
//
//  Created by David Phillip Oster on 2/19/07.
//  Copyright 2007 David Phillip Oster. All rights reserved.
//

#import "SolvableStatusTransformer.h"


@implementation SolvableStatusTransformer

+ (Class)transformedValueClass {
  return [NSString class];
}


+ (BOOL)allowsReverseTransformation {
  return NO;
}

- (id)transformedValue:(id)value {
  if ([value respondsToSelector:@selector(boolValue)] && [value boolValue]) {
    return NSLocalizedString(@"Not Solvable", @"");
  }
  return @"";
}
@end
